# keystone.common.validation package

## Submodules

- keystone.common.validation.parameter_types module
- keystone.common.validation.validators module
  - `SchemaValidator`
    - `SchemaValidator.validate()`
    - `SchemaValidator.validator_org`
  - `validate_password()`

## Module contents

Request body validating middleware for OpenStack Identity resources.

keystone.common.validation.lazy_validate(request_body_schema, resource_to_validate)

  A non-decorator way to validate a request, to be used inline.

  Parameters:

    - request_body_schema – a schema to validate the resource reference

    - resource_to_validate – dictionary to validate

  Raises:

    - keystone.exception.ValidationError – if resource_to_validate is None. (see wrapper method below).

    - TypeError – at decoration time when the expected resource to validate isn’t found in the decorated method’s signature

keystone.common.validation.nullable(property_schema)

  Clone a property schema into one that is nullable.

  Parameters:

    property_schema (dict) – schema to clone into a nullable schema

  Returns:

    a new dict schema

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug